Description

As you may know, if the layout (*.lay) file has other than "\r\n" line endings, they maybe converted to "\r\n", if open (and close or switch to a

different file, if "Save file on TheIde window deactivation" is not enabled for Editor settings) mentioned file in TheIDE's layout designer (for

example, at 13628 revision). As a consequence, this may affect creation of patches for layout file(s), which may include changes for line

endings, among other things. There was a need to convert affected layout file(s) to previous line endings state to fix this.

Some examples of LF ("\n") layout files:

uppsrc/CodeEditor/CodeEditor.lay

uppsrc/CtrlLib/Ctrl.lay

uppsrc/IconDes/IconDes.lay

uppsrc/ide/ide.lay

uppsrc/ide/LayDes/LayDes.lay

Some examples of CRLF ("\r\n") layout files:

uppsrc/Docking/Docking.lay

uppsrc/ide/MacroManager/MacroManager.lay

uppsrc/ScatterCtrl/ScatterCtrl.lay

uppsrc/urepo/urepo.lay

uppsrc/urepo/usvn.lay

I propose to detect known line endings for TheIDE's layout designer, which are used to save the layout to a file.

History

#1 - 10/06/2019 07:18 AM - Sender Ghost

- File deleted (uppsrc_ide_LayDes.diff)

#2 - 10/06/2019 07:19 AM - Sender Ghost

- File uppsrc_ide_LayDes.diff added

#3 - 10/06/2019 02:30 PM - Sender Ghost

- File deleted (uppsrc_ide_LayDes.diff)

#4 - 10/06/2019 02:31 PM - Sender Ghost

- File uppsrc_ide_LayDes.diff added

#5 - 10/06/2019 02:45 PM - Sender Ghost

- File deleted (uppsrc_ide_LayDes.diff)

#6 - 10/06/2019 02:46 PM - Sender Ghost

- File uppsrc_ide_LayDes.diff added

#7 - 10/06/2019 03:20 PM - Sender Ghost
https://github.com/ultimatepp/mirror/blob/92fc3a753ab14484e1af3aae7baee67baba5594a/uppsrc/ide/LayDes/layout.cpp#L97
https://github.com/ultimatepp/mirror/commit/e160835ae32355696df6146f98737549fd9fddb8
https://github.com/ultimatepp/mirror/blob/148bcfb4d69ff75b622973dc34a7b81ed7ae9f47/uppsrc/CodeEditor/CodeEditor.lay
https://github.com/ultimatepp/mirror/blob/3522814e2bc0bf43f1224db0c6d46c4bd8eb3bfb/uppsrc/CtrlLib/Ctrl.lay
https://github.com/ultimatepp/mirror/blob/f2e693573e2e543eb798af0f20d6a2e1158390b8/uppsrc/IconDes/IconDes.lay
https://github.com/ultimatepp/mirror/blob/5123a7e3e967a95ee584ba29678af52ed2b2e3d7/uppsrc/ide/ide.lay
https://github.com/ultimatepp/mirror/blob/f83e1ab08e8c1e774e9b564ec17e9748b5737da0/uppsrc/ide/LayDes/LayDes.lay
https://github.com/ultimatepp/mirror/blob/395b0f2b2bcc28880fdc50ac012f9c68833de63e/uppsrc/Docking/Docking.lay
https://github.com/ultimatepp/mirror/blob/690ffba5e71f77dc4bd6b5463eaeb786b6618b97/uppsrc/ide/MacroManager/MacroManager.lay
https://github.com/ultimatepp/mirror/blob/005d779b916c3cb64a1ef8a185b31e79ef6476c6/uppsrc/ScatterCtrl/ScatterCtrl.lay
https://github.com/ultimatepp/mirror/blob/bf2387c52fb727a88eb54413cc48dadc6a0fe956/uppsrc/urepo/urepo.lay
https://github.com/ultimatepp/mirror/blob/15cc14a16f205ee863e2a4221df25c49ddf803a5/uppsrc/urepo/usvn.lay


- File deleted (uppsrc_ide_LayDes.diff)

#8 - 10/06/2019 03:20 PM - Sender Ghost

- File uppsrc_ide_LayDes.diff added

#9 - 10/07/2019 04:09 AM - Sender Ghost

- File deleted (uppsrc_ide_LayDes.diff)

#10 - 10/07/2019 04:11 AM - Sender Ghost

- File uppsrc_ide_LayDes.diff added

Moved EOL to LayDes class as static variable.

#11 - 10/09/2019 04:54 AM - Sender Ghost

- Status changed from New to Patch ready

#12 - 10/09/2019 07:14 AM - Sender Ghost

I also attached merged patch in #1992 issue.

#13 - 10/09/2019 02:24 PM - Sender Ghost

- Status changed from Patch ready to Approved

- Assignee changed from Miroslav Fidler to Sender Ghost

Improved changes was committed at 13635 revision.

Files

uppsrc_ide_LayDes.diff 3.16 KB 10/07/2019 Sender Ghost
https://github.com/ultimatepp/mirror/commit/afb8b7d926787c97fff789470ed4dae29b98b099

